## org.apache.mahout.classifier.bayes.mapreduce.bayes
Class BayesClassifierDriver

    java.lang.Object
      org.apache.mahout.classifier.bayes.mapreduce.bayes.BayesClassifierDriver

    public final class BayesClassifierDriver

extends java.lang.Object

Create and run the Bayes Classifier

Method Summary
`static ConfusionMatrix` `readResult(org.apache.hadoop.fs.FileSystem fs, org.apache.hadoop.fs.Path pathPattern, org.apache.hadoop.conf.Configuration conf, Parameters params)`
`static void` `runJob(Parameters params)` Run the job

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### runJob

    public static void runJob(Parameters params)
                       throws java.io.IOException

  Run the job

  Parameters:
    `params` - The Job parameters containing the gramSize, input output folders, defaultCat, encoding
  Throws:
    `java.io.IOException`

### readResult

    public static ConfusionMatrix readResult(org.apache.hadoop.fs.FileSystem fs,
                                             org.apache.hadoop.fs.Path pathPattern,
                                             org.apache.hadoop.conf.Configuration conf,
                                             Parameters params)
                                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.